#
# spec file for package bastille (Version 2.0.4)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool perl rpm

Name:         bastille
URL:          http://www.bastille-linux.org
License:      GPL
Group:        Productivity/Security
Requires:     perl = %{perl_version}
Autoreqprov:  on
Version:      2.0.4
Release:      61
Summary:      Bastille tightens security on a Linux system
Source0:      http://osdn.dl.sourceforge.net/sourceforge/bastille-linux/Bastille-%version.tar.bz2
Source1:      platform-suse-8.0
Source2:      README.SuSE
Patch0:       Bastille-%version-install.patch
Patch1:       Bastille-%version-suse.patch
Patch2:       Bastille-%version-psad.patch
Patch3:       Bastille-%version-nofw.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Requires:     perl-Tk perl-Curses

%description
Bastille Linux is a security hardening program for various Linux
distributions.

If run in interactive mode (which is the preferred way to use it), it
can teach you a good deal about Security while personalizing your
system security state.	If run in the quicker automated mode, it can
quickly tighten your machine, but not nearly as effectively (since
user/sysadmin education is an important step!)



Authors:
--------
    Jon Lasser
    Ben Woodard
    Jay Beale

%prep
%setup -q -n Bastille
cp %{SOURCE2} .
%patch0 -p1 -b .install
%patch1 -p1 -b .suse
%patch2 -p1 -b .psad
%patch3 -p1 -b .nofw
cp -p Install.sh Install.sh.in

%build
rm -f Install.sh
perl -p \
	-e 's|/usr/sbin|%_sbindir|go;' \
	-e 's|/usr/man|%_mandir|go;' \
	-e 's|/usr/lib/perl5/site_perl|%perl_vendorlib|go;' \
	-e 's|/usr/lib|%_libdir|go;' \
	-e 's|/usr/share|%_datadir|go;' \
	-e 's|/usr/lib/perl5|%_libdir/perl5|go;' \
		< Install.sh.in > Install.sh

%install
test -z "$RPM_BUILD_ROOT" -o "$RPM_BUILD_ROOT" = "/" || rm -rf $RPM_BUILD_ROOT
#
# Install Bastille files
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man8
sh Install.sh
#
# Install platform files
mkdir -p $RPM_BUILD_ROOT/etc/Bastille/platform
cp %{SOURCE1} $RPM_BUILD_ROOT/etc/Bastille/platform/SE8.0
for link in SE8.1 SE8.2 SE8.3 SE9.0; do
	ln -s SE8.0 $RPM_BUILD_ROOT/etc/Bastille/platform/$link
done
#
# Process .packlist
%perl_process_packlist
mv $RPM_BUILD_ROOT/var/adm/perl-modules/{bastille,Psad}

%clean
#test -z "$RPM_BUILD_ROOT" -o "$RPM_BUILD_ROOT" = "/" || rm -rf $RPM_BUILD_ROOT

%files
%defattr(400,root,root,700)
%doc README docs/readme.automate docs/readme.ftp docs/readme.interfaces docs/readme.patch COPYING Credits Changelog VERSION README.SuSE
%attr(500,root,root) %_sbindir/*
%attr(700,root,root) %dir /etc/Bastille
%attr(700,root,root) %dir /etc/Bastille/platform
%attr(600,root,root) %config /etc/Bastille/platform/*
%attr(700,root,root) %dir /etc/psad
%attr(600,root,root) %config /etc/psad/*
%attr(400,root,root) %{perl_vendorlib}/*.pm
%attr(700,root,root) %dir %{perl_vendorarch}/auto/Psad
%attr(400,root,root) %{perl_vendorarch}/auto/Psad/.packlist
%attr(700,root,root) %dir %_libdir/Bastille
%attr(400,root,root) %_libdir/Bastille/*.pm
%attr(700,root,root) %dir %_libdir/Bastille/Curses
%attr(400,root,root) %_libdir/Bastille/Curses/*.pm
%attr(700,root,root) %dir %_datadir/Bastille
%attr(700,root,root) %dir %_datadir/Bastille/Psad.pm
%attr(400,root,root) %_datadir/Bastille/Credits
%attr(400,root,root) %_datadir/Bastille/Questions.txt
%attr(400,root,root) %_datadir/Bastille/bastille-firewall
%attr(400,root,root) %_datadir/Bastille/bastille-firewall-early.sh
%attr(400,root,root) %_datadir/Bastille/bastille-firewall-pre-audit.sh
%attr(400,root,root) %_datadir/Bastille/bastille-firewall-reset
%attr(400,root,root) %_datadir/Bastille/bastille-firewall-schedule
%attr(400,root,root) %_datadir/Bastille/bastille-firewall.cfg
%attr(400,root,root) %_datadir/Bastille/bastille-ipchains
%attr(400,root,root) %_datadir/Bastille/bastille-netfilter
%attr(400,root,root) %_datadir/Bastille/bastille-tmpdir-defense.sh
%attr(400,root,root) %_datadir/Bastille/bastille-tmpdir.csh
%attr(400,root,root) %_datadir/Bastille/bastille-tmpdir.sh
%attr(500,root,root) %_datadir/Bastille/diskmond
%attr(400,root,root) %_datadir/Bastille/hosts.allow
%attr(400,root,root) %_datadir/Bastille/ifup-local
%attr(500,root,root) %_datadir/Bastille/kmsgsd
%attr(500,root,root) %_datadir/Bastille/psad
%attr(500,root,root) %_datadir/Bastille/psad-init
%attr(500,root,root) %_datadir/Bastille/psadwatchd
%attr(500,root,root) %_datadir/Bastille/whois
%attr(400,root,root) %_datadir/Bastille/Psad.pm/*
%attr(400,root,root) %_datadir/Bastille/*.xbm
%attr(400,root,root) %_mandir/man3/*.3*
%attr(400,root,root) %_mandir/man8/*.8*
%attr(700,root,root) %dir /var/log/psad
%attr(600,root,root) /var/log/psadfifo
%attr(600,root,root) /var/adm/perl-modules/Psad

%changelog -n bastille
* Mon Dec 01 2003 - thomas@suse.de
- added missing symlink for 9.0 (bastille doesnt work on 9.0)
* Wed Aug 20 2003 - mjancar@suse.cz
- require the perl version we build with
* Mon Jul 28 2003 - ro@suse.de
- complete move of perl files
* Thu Jul 17 2003 - okir@suse.de
- Fixed perl install
* Wed Jul 16 2003 - okir@suse.de
- Updated to bastille 2.0.4
* Wed Jun 18 2003 - kukuk@suse.de
- Add missing directories to filelist
* Tue Jun 10 2003 - ro@suse.de
- add unpackaged files to filelist
- install to perl standard locations
* Thu Aug 15 2002 - okir@suse.de
- Added missing /etc/Bastille/platform/8.1 symlink
- Added patch to disable annoying warnings about PSAD questions.
- Added patch that disables bastille firewall configuration
  (we already have enough firewall scripts)
* Thu Aug 08 2002 - okir@suse.de
- Added a few more questions and checks to implement features
  from harden_suse.
* Wed Jun 12 2002 - okir@suse.de
- allow to disable named; fix handling of a few conditionals in Questions.txt
* Tue Jun 11 2002 - okir@suse.de
- Another couple of bugs fixed.
* Wed Jun 05 2002 - okir@suse.de
- initial attempt to get a working bastille script on SL 8.0
